﻿<?php
	if( isset( $_SERVER['SCRIPT_FILENAME'] ) && basename( $_SERVER['SCRIPT_FILENAME'] ) == 'comments.php' )
		die( '<h1>do not access this file directly. please.</h1>' );
?>
<div class="comments-list">
	<a href="#" id="comments"></a>
	<h3><?php comments_number('بدون نظر', ' یک نظر', '% نظر'); ?></h3>
	<?php wp_list_comments(
		array(
			'style'=>'div',
			'callback' => 'purple_list_comments',
			'end-callback' => 'purple_end_list_comments'
		)
	); ?>
</div>

<?php function purple_list_comments($comment, $args, $depth){ 
		$GLOBLAS['comment'] = $comment;
?>
	<article id="comment-<?php comment_ID(); ?>" <?php comment_class(); ?>>
		<header>
			<?php echo get_avatar($comment, 64); ?>
			<?php if( get_comment_author_url() ): ?>
				<a href="<?php comment_author_url() ?>"><?php comment_author(); ?></a>
			<?php else: ?>
				<span class="comment-author"><?php comment_author(); ?></span>
			<?php endif; ?>
			<div class="comment-date"><?php comment_date('d/m/Y , h:j a'); ?></div>
		</header>
		<div class="comment-text">
			<?php comment_text(); ?>
		</div>
		<div class="comment-reply">
			<?php comment_reply_link( array_merge($args, array('depth'=>$depth) ) ); ?>
		</div>
	

<?php } ?>

<?php function purple_end_list_comments(){
	echo '</article>';
}
?>